com.taosdata.jdbc.tmq

## Class TopicPartition

- java.lang.Object
- - com.taosdata.jdbc.tmq.TopicPartition

    public class TopicPartition
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TopicPartition(String topic, int vGroupId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getTopic()`
`int` `getVGroupId()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TopicPartition

    public TopicPartition(String topic,
                          int vGroupId)

### Method Detail

#### getTopic

    public String getTopic()

#### getVGroupId

    public int getVGroupId()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`